Package wx :: Class ToolBar

[frames | no frames]

## Type ToolBar

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
                   Control --+
                             |
                   ToolBarBase --+
                                 |
                                ToolBar

Known Subclasses:
  `FloatBar`

Proxy of C++ ToolBar class

Method Summary
ToolBar | `__init__(self, parent, id, pos, size, style, name)`
bool | ``Create`(self, parent, id, pos, size, style, validator, name)` Do the 2nd phase and create the GUI control.
VisualAttributes | ``GetClassDefaultAttributes`(variant)` Get the default attributes for this class. (Static method)
| `SetToolDisabledBitmap(self, id, bitmap)`
| `SetToolNormalBitmap(self, id, bitmap)`

Property Summary
| `thisown`: The membership flag

Instance Method Details

### Create(self, parent, id=-1, pos=DefaultPosition, size=DefaultSize, style=wxNO_BORDER|wxTB_HORIZONTAL, name=wxPyToolBarNameStr)

Do the 2nd phase and create the GUI control.

  Parameters:
    `parent`
    (type=Window)

    `id`
    (type=int)

    `pos`
    (type=Point)

    `size`
    (type=Size)

    `style`
    (type=long)

    `validator`
    (type=Validator)

    `name`
    (type=String)

  Returns:
    bool
  Overrides:
    `wx.Control.Create` (inherited documentation)

Static Method Details

### GetClassDefaultAttributes(variant=WINDOW_VARIANT_NORMAL)

Get the default attributes for this class. This is useful if you want to use the same font or colour in your own control as in a standard control -- which is a much better idea than hard coding specific colours or fonts which might look completely out of place on the user's system, especially if it uses themes.

The variant parameter is only relevant under Mac currently and is ignore under other platforms. Under Mac, it will change the size of the returned font. See `wx.Window.SetWindowVariant` for more about this.

  Parameters:
    `variant`
    (type=int)

  Returns:
    VisualAttributes

Property Details

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Wed Sep 26 13:47:15 2007 | http://epydoc.sf.net